Skip to main content
GET
/
api
/
military
/
v1
/
get-usni-fleet-report
GetUSNIFleetReport
curl --request GET \
  --url https://api.example.com/api/military/v1/get-usni-fleet-report
{
  "report": {
    "articleUrl": "<string>",
    "articleDate": "<string>",
    "articleTitle": "<string>",
    "battleForceSummary": {
      "totalShips": 1,
      "deployed": 1,
      "underway": 1
    },
    "vessels": [
      {
        "name": "<string>",
        "hullNumber": "<string>",
        "vesselType": "<string>",
        "region": "<string>",
        "regionLat": 123,
        "regionLon": 123,
        "deploymentStatus": "<string>",
        "homePort": "<string>",
        "strikeGroup": "<string>",
        "activityDescription": "<string>",
        "articleUrl": "<string>",
        "articleDate": "<string>"
      }
    ],
    "strikeGroups": [
      {
        "name": "<string>",
        "carrier": "<string>",
        "airWing": "<string>",
        "destroyerSquadron": "<string>",
        "escorts": [
          "<string>"
        ]
      }
    ],
    "regions": [
      "<string>"
    ],
    "parsingWarnings": [
      "<string>"
    ],
    "timestamp": 123
  },
  "cached": true,
  "stale": true,
  "error": "<string>"
}

Query Parameters

force_refresh
boolean

When true, bypass cache and fetch fresh data from USNI.

Response

Successful response

GetUSNIFleetReportResponse returns the parsed USNI Fleet Tracker report.

report
object

USNIFleetReport is the full parsed output of a USNI Fleet Tracker article.

cached
boolean

Whether the response was served from cache.

stale
boolean

Whether the cached data is stale (served after a fetch failure).

error
string

Error message, if any.